package com.saxonica.testdriver;

public enum Spec {

    XP20("2.0", "XPath2.0", "XP", "XP20"),
    XP30("3.0", "XPath3.0", "XP", "XP30"),
    XQ10("1.0", "XQuery1.0", "XQ", "XQ10"),
    XQ30("3.0", "XQuery3.0", "XQ", "XQ30"),
    XT10("1.0", "XSLT1.0", "XT", "XT10"),
    XT20("1.0", "XSLT2.0", "XT", "XT20"),
    XT30("1.0", "XSLT3.0", "XT", "XT30");


    public final String version;
    public final String fname;
    public final String sname;
    public final String svname;

    Spec(String l, String na, String sn, String sv) {
        version = l;
        fname = na;
        sname = sn;
        svname = sv;
    }
}
